Subject: Problem with Sergey's telnetd, rxvt,vim
From: [email-masked] (Jerzy Schubert)

24 Jul 1997 10:24:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
Original-To: Gilligan <[email-masked]>
Original-cc: GNU Win 32 <[email-masked]>
In-Reply-To: <[email-masked]>
X-MIME-Autoconverted: from QUOTED-PRINTABLE to 8bit by cygnus.com id HAA07161
Original-Sender: [email-masked]

I had  exactly (just the pids were different) error messages
Gillian had here.

I remembered then the advice from [email-masked] (Mikey)

	"after you change over to binary mode, you will need
	to reinstall from cdk.exe and user.exe .... "

I've done that, then reinstall Sergey cygwin.dll and libcygwin.a
and I'v got the login prompt:

crusher:/ # telnet bewerly
Trying 10.11.4.66...
Connected to bewerly.ppe.bb-data.de.
Escape character is '^]'.

CYGWIN32/NT 4.0 (BEWERLY) (tty1)

login: jsc
Password:
Login incorrect
login:

So one problem gone away.
However i still cannot login 
login keeps saying "Login incorrect"

Here my passwd and group file, i see that the groupid in the passwd file
does not matched the groupid in the group files, those were made with
the utility mkpasswd -l
Administrator::500:513:::/bin/sh
Gast::501:513:::/bin/sh
IUSR_YUTA::1000:513:Internet-Gastkonto::/bin/sh
jsc::1001:513:Jerzy Schubert:/home/jsc:/bin/sh
root::1002:513:admin account:/home/root:/bin/sh

Administratoren::544:0:::
Benutzer::545:0:::
Gdste::546:0:::
Hauptbenutzer::547:0:::
Replikations-Operator::552:0:::
Sicherungs-Operatoren::551:0:::

I could start inetd from com box or from bash observing the behavior
above.

When i tried to test service using autoexnt
 net start autoexnt
with autoexnt.bat as:
g:\gnuwin32\b18\H-i386-cygwin32\local\sbin\inetd -d
Here i cannot say instead /usr/local/sbin/inetd -d can i

autoexnt says in the same dos box:

AutoExNT wird gestartet (starting)
AutoExNT wurde erfolgreich gestartet (started successfully)

In the TaskManager list i can indeed see inetd running
but when i say telnet i get 
crusher:/ # telnet bewerly
Trying 10.11.4.66...
telnet: Unable to connect to remote host: Connection refused

I stopped simple internet services, as suggested before 
but as i could started inetd by hand it probably has nothing to do with
it.

Other problem still here is with rxvt
rxvt: Failed to open input method
seteuid called, and it's not done yet.
ptydev="/dev/tty2"
ttydev="/dev/tty2"
seteuid called and it's not done yet (4 times)
i get rxvt window  but nothing in it. (no shell)
I use X11R6.3 binary provided by Arlindo da Silva build with b18.

And i also have problem with vim in the shell box, which many 
people mentioned before, i did not understood the replay from Sergey

Jerzy

On Tue, 22 Jul 1997, Gilligan wrote:

> Ok, I've setup my inetd.conf, copied login.w95 to login, ran inetd -d.
> I can telnet in, but it crashes, perhaps looking for the login script.
> Here's inetd's output:
> 
> registered /usr/local/libexec/in.telnetd on 14
> someone wants telnet
> accept, ctrl 3
> + Closing from 14
> 1060 execl /usr/local/libexec/in.telnetd
> 1060 reaped, status 0x100
> 
> On the telnet client side, I get:
> 
> Trying 192.168.1.2...
> Connected to bozo.
> Escape character is '^]'.
> 
> CYGWIN32/95 4.0 (BOZO) (tty10)
> 
> Connection closed by foreign host.
> .
> . 
> .

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".